import { OhosUrlPlayer } from './OhosUrlPlayer';
import premierlibrary from 'libpremierlibrary.so';
export class OhosSaasPlayer extends OhosUrlPlayer {
    constructor(j35) {
        super(j35);
        this.mOnVidAuthExpiredListener = null;
        this.mHasListenerCallbackSaas = null;
    }
    setUrlDataSource(i35) {
        premierlibrary.nSetUrlDataSource(this, i35);
    }
    setLiveStsDataSource(h35) {
        premierlibrary.nSetLiveStsDataSource(this, h35);
    }
    updateStsInfo(g35) {
        premierlibrary.nUpdateStsInfo(this, g35);
    }
    setVidAuthSource(f35) {
        premierlibrary.nSetVidAuthDataSource(this, f35);
    }
    updateVidAuth(e35) {
        premierlibrary.nUpdateVidAuth(this, e35);
    }
    setVidStsSource(d35) {
        premierlibrary.nSetVidStsDataSource(this, d35);
    }
    setVidMpsSource(c35) {
        premierlibrary.nSetVidMpsDataSource(this, c35);
    }
    setOnVidAuthExpiredListener(b35) {
        this.mOnVidAuthExpiredListener = b35;
    }
    refreshVidAuth(a35) {
        if (a35) {
            premierlibrary.nRefreshVidAuth(this, a35);
        }
    }
    refreshVidAuthWithError(z34) {
        if (z34) {
            premierlibrary.nRefreshVidAuthWithError(this, z34);
        }
    }
    onVidAuthExpired(y34) {
        if (this.mOnVidAuthExpiredListener) {
            this.mOnVidAuthExpiredListener.onVidAuthExpired(y34, null);
        }
    }
    setHasListenerCallbackSaas(x34) {
        this.mHasListenerCallbackSaas = x34;
    }
    hasListenerSaas(w34) {
        if (this.mHasListenerCallbackSaas != null) {
            return this.mHasListenerCallbackSaas.hasListener(w34);
        }
        return false;
    }
}
